declare type List<T> = ReadonlyArray<T>;
declare const List: {
    set: <T extends {}>(list: ReadonlyArray<T>, where: number | Partial<T>, value: T | ((oldValue: T) => T)) => ReadonlyArray<T>;
    get: <T extends {}>(list: ReadonlyArray<T>, where: Partial<T>) => T | undefined;
    reverse: <T>(list: ReadonlyArray<T>) => ReadonlyArray<T>;
    contains: <T>(list: ReadonlyArray<T>, item: T) => boolean;
};
export default List;
